commit:     774967a9aca3f7d7fb69f9894459383d2d7d2d0b
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 23 19:58:43 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Apr 23 20:58:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=774967a9

net-im/pyicq-t: [QA] Add missing python metadata variables

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 net-im/pyicq-t/pyicq-t-0.8.1.5-r6.ebuild | 32 ++++++++++++++++++++------------
 1 file changed, 20 insertions(+), 12 deletions(-)

diff --git a/net-im/pyicq-t/pyicq-t-0.8.1.5-r6.ebuild 
b/net-im/pyicq-t/pyicq-t-0.8.1.5-r6.ebuild
index cfc57b7105e..39f7edef308 100644
--- a/net-im/pyicq-t/pyicq-t-0.8.1.5-r6.ebuild
+++ b/net-im/pyicq-t/pyicq-t-0.8.1.5-r6.ebuild
@@ -1,35 +1,43 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="6"
+EAPI=6
+
 PYTHON_COMPAT=( python2_7 )
+
 inherit eutils python-single-r1 systemd
 
 MY_P="${P/pyicq-t/pyicqt}"
+
 DESCRIPTION="Python based jabber transport for ICQ"
 HOMEPAGE="https://code.google.com/p/pyicqt/";
 SRC_URI="https://pyicqt.googlecode.com/files/${MY_P}.tar.gz";
-S="${WORKDIR}/${MY_P}"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 x86"
 IUSE="webinterface"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
-DEPEND="net-im/jabber-base"
+DEPEND="${PYTHON_DEPS}
+       net-im/jabber-base"
 RDEPEND="${DEPEND}
-       ( || ( ( dev-python/twisted-core[${PYTHON_USEDEP}]
+       || (
+               (
+                       dev-python/twisted-core[${PYTHON_USEDEP}]
                        dev-python/twisted-words[${PYTHON_USEDEP}]
-                       dev-python/twisted-web[${PYTHON_USEDEP}] )
-               dev-python/twisted[${PYTHON_USEDEP}] ) )
+                       dev-python/twisted-web[${PYTHON_USEDEP}]
+               )
+               dev-python/twisted[${PYTHON_USEDEP}]
+       )
        webinterface? ( >=dev-python/nevow-0.4.1[${PYTHON_USEDEP}] )
        dev-python/pillow[${PYTHON_USEDEP}]"
 
-src_prepare() {
-       eapply "${FILESDIR}/${P}-python26-warnings.diff"
-       eapply "${FILESDIR}/${P}-pillow-imaging.patch"
-       eapply_user
-}
+S="${WORKDIR}/${MY_P}"
+PATCHES=(
+       "${FILESDIR}/${P}-python26-warnings.diff"
+       "${FILESDIR}/${P}-pillow-imaging.patch"
+)
 
 src_install() {
        python_moduleinto ${PN}

Reply via email to